Bug 1842890 - Add perl-MooseX-StrictConstructor to EPEL7
Summary: Add perl-MooseX-StrictConstructor to EPEL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-MooseX-StrictConstructor
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1843185 1843195
Blocks: 1842881
TreeView+ depends on / blocked
 
Reported: 2020-06-02 10:45 UTC by Petr Pisar
Modified: 2020-06-30 01:15 UTC (History)
3 users (show)

Fixed In Version: perl-MooseX-StrictConstructor-0.21-11.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-30 01:15:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2020-06-02 10:45:07 UTC
I need perl-MooseX-StrictConstructor for perl-Net-Amazon-S3 in EPEL7. Could you please build it there?

Comment 1 Petr Pisar 2020-06-03 08:32:28 UTC
Moo is only used for an optional test:

MooseX-StrictConstructor-0.21 $ grep -Hnr '\<Moo\>'
t/no_build.t:6:use Test::Needs 'Moo';
t/no_build.t:18:    use Moo;
t/no_build.t:27:        'no errors when instantiating a Moo child of a strict superclass',
t/00-report-prereqs.dd:14:                                  'Moo' => '0',
t/00-report-prereqs.dd:64:                                 'Moo' => '0'
Changes:3:- The last release accidentally added Moo as a hard prereq when it's only
Changes:12:  BUILD subs (used internally by modules like Moo that have their own
META.json:29:            "Moo" : "0",
META.json:79:            "Moo" : "0"
META.json:956:                     "Moo"
META.yml:694:            - Moo
cpanfile:24:  suggests "Moo" => "0";
cpanfile:37:  requires "Moo" => "0";
dist.ini:12:module = Moo

Comment 3 Fedora Update System 2020-06-14 13:16:29 UTC
FEDORA-EPEL-2020-4794fda156 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4794fda156

Comment 4 Fedora Update System 2020-06-15 02:13:16 UTC
perl-MooseX-StrictConstructor-0.21-11.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4794fda156

Comment 5 Fedora Update System 2020-06-30 01:15:33 UTC
FEDORA-EPEL-2020-4794fda156 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.